### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-pagination/ecl-pagination.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `OnChanges`

### Metadata

selector | `ecl-pagination`
styles | `:host { display: block; }`
templateUrl | `./ecl-pagination.component.html`

### Index

###### Properties

- cmpClass
- Public model
- role

###### Methods

- isModeAuto
- onNextPage
- onPage
- onPreviousPage
- getCssClasses

###### Inputs

- currentPage
- mode
- pageSize
- pageWindowSize
- totalItems
- class
- e2eAttr

###### Outputs

- page

###### HostBindings

- attr.role
- class.ecl-pagination

### Inputs

currentPage
Type : `number | any`
Default value : `DefaultConfig.currentPage`

mode
Type : `"manual" | "auto"`
Default value : `'manual'`

pageSize
Type : `number | any`
Default value : `DefaultConfig.pageSize`

pageWindowSize
Type : `number | any`
Default value : `DefaultConfig.pageWindowSize`

totalItems
Type : `number | any`
Default value : `DefaultConfig.totalItems`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

page
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'navigation'`

class.ecl-pagination
Type : `boolean`
Default value : `true`

### Methods

isModeAuto
`isModeAuto()`
Returns : `boolean`

onNextPage
`onNextPage()`
Returns : `void`

onPage
`onPage(page: number)`

Parameters :

Name | Type | Optional
page | `number` | No

Returns : `void`

onPreviousPage
`onPreviousPage()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

cmpClass
Default value : `true`
Decorators : `@HostBinding('class.ecl-pagination')`

Public model
Default value : `EuiPagination.create()`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""